Subject: Re: bug#9857: start-repl calling convention changed

From: Andy Wingo <[email-masked]>
Date: Wed, 16 Nov 2011 19:37:52 +0100

On Tue 25 Oct 2011 10:14, Tristan Colgate <[email-masked]> writes:

>   I might have missed something int he change log, but digging through
> top-repl.scm gave the answer.
> I now need (start-repl 'scheme), to specify the language.

Why, I wonder?  The definition in (system repl repl) clearly lists the
language as being optional.  Could it be that you were starting from a
different thread, and that (current-language) was #f for some reason?

>   Happy to close from my perspective but this does seem to be an API change.

If it is an API change, it's definitely a bug.

Andy
-- 
http://wingolog.org/